import { stepLabelClasses } from '@mui/material/StepLabel';
export const MuiStepLabel = {
    styleOverrides: {
        label({ theme }) {
            const { active, completed, error } = stepLabelClasses;
            return {
                fontSize: theme.typography.caption.fontSize,
                lineHeight: theme.typography.caption.lineHeight,
                fontWeight: theme.typography.caption.fontWeight,
                color: theme.palette.grey[700],
                [`&.${active}, &.${completed}, &.${error}`]: {
                    color: theme.palette.grey[900],
                    fontSize: theme.typography.caption.fontSize,
                    lineHeight: theme.typography.caption.lineHeight,
                    fontWeight: theme.typography.caption.fontWeight,
                },
            };
        },
        root() {
            return {
                '&:focus-visible': {
                    outline: 'unset',
                },
            };
        },
        iconContainer({ theme }) {
            return {
                paddingRight: theme.microSpacing(5),
            };
        },
    },
};
